VTK: vtkDataObjectTree Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
vtkDataObjectTree Class Reference

provides implementation for most abstract methods in the superclass vtkCompositeDataSet More...

`#include <vtkDataObjectTree.h>`

Inheritance diagram for vtkDataObjectTree:
[legend]
Collaboration diagram for vtkDataObjectTree:
[legend]

## Public Types
typedef vtkCompositeDataSet | Superclass
Public Types inherited from vtkCompositeDataSet
typedef vtkDataObject | Superclass
Public Types inherited from vtkDataObject
enum | FieldAssociations { FIELD_ASSOCIATION_POINTS , FIELD_ASSOCIATION_CELLS , FIELD_ASSOCIATION_NONE , FIELD_ASSOCIATION_POINTS_THEN_CELLS , FIELD_ASSOCIATION_VERTICES , FIELD_ASSOCIATION_EDGES , FIELD_ASSOCIATION_ROWS , NUMBER_OF_ASSOCIATIONS }
| Possible values for the FIELD_ASSOCIATION information entry. More...
enum | AttributeTypes { POINT , CELL , FIELD , POINT_THEN_CELL , VERTEX , EDGE , ROW , NUMBER_OF_ATTRIBUTE_TYPES }
| Possible attribute types. More...
enum | FieldOperations { FIELD_OPERATION_PRESERVED , FIELD_OPERATION_REINTERPOLATED , FIELD_OPERATION_MODIFIED , FIELD_OPERATION_REMOVED }
| Possible values for the FIELD_OPERATION information entry. More...
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkDataObjectTree * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual vtkDataObjectTreeIterator * | NewTreeIterator ()
| Return a new iterator (the iterator has to be deleted by user). More...
vtkCompositeDataIterator * | NewIterator () override
| Return a new iterator (the iterator has to be deleted by user). More...
void | CopyStructure (vtkCompositeDataSet *input) override
| Copies the tree structure from the input. More...
void | SetDataSet (vtkCompositeDataIterator *iter, vtkDataObject *dataObj) override
| Sets the data set at the location pointed by the iterator. More...
void | SetDataSetFrom (vtkDataObjectTreeIterator *iter, vtkDataObject *dataObj)
| Sets the data at the location provided by a vtkDataObjectTreeIterator. More...
vtkDataObject * | GetDataSet (vtkCompositeDataIterator *iter) override
| Returns the dataset located at the position pointed by the iterator. More...
virtual vtkInformation * | GetMetaData (vtkCompositeDataIterator *iter)
| Returns the meta-data associated with the position pointed by the iterator. More...
virtual vtkTypeBool | HasMetaData (vtkCompositeDataIterator *iter)
| Returns if any meta-data associated with the position pointed by the iterator. More...
unsigned long | GetActualMemorySize () override
| Return the actual size of the data in kibibytes (1024 bytes). More...
void | Initialize () override
| Restore data object to initial state,. More...
void | RecursiveShallowCopy (vtkDataObject *src) override
vtkIdType | GetNumberOfPoints () override
| Returns the total number of points of all blocks. More...
vtkIdType | GetNumberOfCells () override
| Returns the total number of cells of all blocks. More...
int | GetDataObjectType () override
| Overridden to return `VTK_DATA_OBJECT_TREE`. More...
void | CompositeShallowCopy (vtkCompositeDataSet *src) override
| CompositeShallow, Shallow and Deep copy. More...
void | ShallowCopy (vtkDataObject *src) override
| CompositeShallow, Shallow and Deep copy. More...
void | DeepCopy (vtkDataObject *src) override
| CompositeShallow, Shallow and Deep copy. More...
Public Member Functions inherited from vtkCompositeDataSet
vtkCompositeDataSet * | NewInstance () const
virtual vtkDataObject * | GetDataSet (unsigned int flatIndex)
| Returns the dataset located at the position pointed by the flatIndex. More...
vtkIdType | GetNumberOfElements (int type) override
| Get the number of elements for a specific attribute type (POINT, CELL, etc.). More...
void | GetBounds (double bounds[6])
| Return the geometric bounding box in the form (xmin,xmax, ymin,ymax, zmin,zmax). More...
Public Member Functions inherited from vtkDataObject
vtkDataObject * | NewInstance () const
vtkMTimeType | GetMTime () override
| Data objects are composite objects and need to check each part for MTime. More...
void | ReleaseData ()
| Release data back to system to conserve memory resource. More...
vtkMTimeType | GetUpdateTime ()
| Used by Threaded ports to determine if they should initiate an asynchronous update (still in development). More...
virtual void | CopyInformationFromPipeline (vtkInformation *vtkNotUsed(info))
| Copy from the pipeline information to the data object's own information. More...
virtual void | CopyInformationToPipeline (vtkInformation *vtkNotUsed(info))
| Copy information from this data object to the pipeline information. More...
void | DataHasBeenGenerated ()
| This method is called by the source when it executes to generate data. More...
virtual void | PrepareForNewData ()
| make the output data ready for new data to be inserted. More...
virtual int | GetExtentType ()
| The ExtentType will be left as VTK_PIECES_EXTENT for data objects such as vtkPolyData and vtkUnstructuredGrid. More...
virtual void | Crop (const int *updateExtent)
| This method crops the data object (if necessary) so that the extent matches the update extent. More...
virtual vtkDataSetAttributes * | GetAttributes (int type)
| Returns the attributes of the data object of the specified attribute type. More...
virtual vtkUnsignedCharArray * | GetGhostArray (int type)
| Returns the ghost arrays of the data object of the specified attribute type. More...
virtual vtkFieldData * | GetAttributesAsFieldData (int type)
| Returns the attributes of the data object as a vtkFieldData. More...
virtual int | GetAttributeTypeForArray (vtkAbstractArray *arr)
| Retrieves the attribute type that an array came from. More...
virtual vtkInformation * | GetInformation ()
| Set/Get the information object associated with this data object. More...
virtual void | SetInformation (vtkInformation *)
| Set/Get the information object associated with this data object. More...
virtual vtkTypeBool | GetDataReleased ()
| Get the flag indicating the data has been released. More...
virtual void | SetFieldData (vtkFieldData *)
| Assign or retrieve a general field data to this data object. More...
virtual vtkFieldData * | GetFieldData ()
| Assign or retrieve a general field data to this data object. More...
void | GlobalReleaseDataFlagOn ()
| Turn on/off flag to control whether every object releases its data after being used by a filter. More...
void | GlobalReleaseDataFlagOff ()
| Turn on/off flag to control whether every object releases its data after being used by a filter. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkTypeBool | IsTypeOf (const char *type)
static vtkDataObjectTree * | SafeDownCast (vtkObjectBase *o)
static vtkDataObjectTree * | GetData (vtkInformation *info)
| Retrieve an instance of this class from an information object. More...
static vtkDataObjectTree * | GetData (vtkInformationVector *v, int i=0)
| Retrieve an instance of this class from an information object. More...
Static Public Member Functions inherited from vtkCompositeDataSet
static vtkTypeBool | IsTypeOf (const char *type)
static vtkCompositeDataSet * | SafeDownCast (vtkObjectBase *o)
static vtkInformationStringKey * | NAME ()
| Key used to put node name in the meta-data associated with a node. More...
static vtkInformationIntegerKey * | CURRENT_PROCESS_CAN_LOAD_BLOCK ()
| Key used to indicate that the current process can load the data in the node. More...
template<class DataSetT = vtkDataSet>
static std::vector< DataSetT * > | GetDataSets (vtkDataObject *dobj, bool preserveNull=false)
| Extract datasets from the given data object. More...
static vtkCompositeDataSet * | GetData (vtkInformation *info)
| Retrieve an instance of this class from an information object. More...
static vtkCompositeDataSet * | GetData (vtkInformationVector *v, int i=0)
| Retrieve an instance of this class from an information object. More...
Static Public Member Functions inherited from vtkDataObject
static vtkDataObject * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkDataObject * | SafeDownCast (vtkObjectBase *o)
static vtkInformation * | GetActiveFieldInformation (vtkInformation *info, int fieldAssociation, int attributeType)
| Return the information object within the input information object's field data corresponding to the specified association (FIELD_ASSOCIATION_POINTS or FIELD_ASSOCIATION_CELLS) and attribute (SCALARS, VECTORS, NORMALS, TCOORDS, or TENSORS) More...
static vtkInformation * | GetNamedFieldInformation (vtkInformation *info, int fieldAssociation, const char *name)
| Return the information object within the input information object's field data corresponding to the specified association (FIELD_ASSOCIATION_POINTS or FIELD_ASSOCIATION_CELLS) and name. More...
static void | RemoveNamedFieldInformation (vtkInformation *info, int fieldAssociation, const char *name)
| Remove the info associated with an array. More...
static vtkInformation * | SetActiveAttribute (vtkInformation *info, int fieldAssociation, const char *attributeName, int attributeType)
| Set the named array to be the active field for the specified type (SCALARS, VECTORS, NORMALS, TCOORDS, or TENSORS) and association (FIELD_ASSOCIATION_POINTS or FIELD_ASSOCIATION_CELLS). More...
static void | SetActiveAttributeInfo (vtkInformation *info, int fieldAssociation, int attributeType, const char *name, int arrayType, int numComponents, int numTuples)
| Set the name, array type, number of components, and number of tuples within the passed information object for the active attribute of type attributeType (in specified association, FIELD_ASSOCIATION_POINTS or FIELD_ASSOCIATION_CELLS). More...
static void | SetPointDataActiveScalarInfo (vtkInformation *info, int arrayType, int numComponents)
| Convenience version of previous method for use (primarily) by the Imaging filters. More...
static const char * | GetAssociationTypeAsString (int associationType)
| Given an integer association type, this static method returns a string type for the attribute (i.e. More...
static int | GetAssociationTypeFromString (const char *associationName)
| Given a string association name, this static method returns an integer association type for the attribute (i.e. More...
static vtkInformationStringKey * | DATA_TYPE_NAME ()
static vtkInformationDataObjectKey * | DATA_OBJECT ()
static vtkInformationIntegerKey * | DATA_EXTENT_TYPE ()
static vtkInformationIntegerPointerKey * | DATA_EXTENT ()
static vtkInformationIntegerVectorKey * | ALL_PIECES_EXTENT ()
static vtkInformationIntegerKey * | DATA_PIECE_NUMBER ()
static vtkInformationIntegerKey * | DATA_NUMBER_OF_PIECES ()
static vtkInformationIntegerKey * | DATA_NUMBER_OF_GHOST_LEVELS ()
static vtkInformationDoubleKey * | DATA_TIME_STEP ()
static vtkInformationInformationVectorKey * | POINT_DATA_VECTOR ()
static vtkInformationInformationVectorKey * | CELL_DATA_VECTOR ()
static vtkInformationInformationVectorKey * | VERTEX_DATA_VECTOR ()
static vtkInformationInformationVectorKey * | EDGE_DATA_VECTOR ()
static vtkInformationIntegerKey * | FIELD_ARRAY_TYPE ()
static vtkInformationIntegerKey * | FIELD_ASSOCIATION ()
static vtkInformationIntegerKey * | FIELD_ATTRIBUTE_TYPE ()
static vtkInformationIntegerKey * | FIELD_ACTIVE_ATTRIBUTE ()
static vtkInformationIntegerKey * | FIELD_NUMBER_OF_COMPONENTS ()
static vtkInformationIntegerKey * | FIELD_NUMBER_OF_TUPLES ()
static vtkInformationIntegerKey * | FIELD_OPERATION ()
static vtkInformationDoubleVectorKey * | FIELD_RANGE ()
static vtkInformationIntegerVectorKey * | PIECE_EXTENT ()
static vtkInformationStringKey * | FIELD_NAME ()
static vtkInformationDoubleVectorKey * | ORIGIN ()
static vtkInformationDoubleVectorKey * | SPACING ()
static vtkInformationDoubleVectorKey * | DIRECTION ()
static vtkInformationDoubleVectorKey * | BOUNDING_BOX ()
static vtkInformationDataObjectKey * | SIL ()
static vtkDataObject * | GetData (vtkInformation *info)
| Retrieve an instance of this class from an information object. More...
static vtkDataObject * | GetData (vtkInformationVector *v, int i=0)
| Retrieve an instance of this class from an information object. More...
static void | SetGlobalReleaseDataFlag (vtkTypeBool val)
| Turn on/off flag to control whether every object releases its data after being used by a filter. More...
static vtkTypeBool | GetGlobalReleaseDataFlag ()
| Turn on/off flag to control whether every object releases its data after being used by a filter. More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkDataObjectTree ()
| ~vtkDataObjectTree () override
void | SetNumberOfChildren (unsigned int num)
| Set the number of children. More...
unsigned int | GetNumberOfChildren ()
| Get the number of children. More...
void | SetChild (unsigned int index, vtkDataObject *)
| Set child dataset at a given index. More...
void | RemoveChild (unsigned int index)
| Remove the child at a given index. More...
vtkDataObject * | GetChild (unsigned int index)
| Returns a child dataset at a given index. More...
vtkInformation * | GetChildMetaData (unsigned int index)
| Returns the meta-data at a given index. More...
void | SetChildMetaData (unsigned int index, vtkInformation *info)
| Sets the meta-data at a given index. More...
vtkTypeBool | HasChildMetaData (unsigned int index)
| Returns if meta-data information is available for the given child index. More...
virtual vtkDataObjectTree * | CreateForCopyStructure (vtkDataObjectTree *other)
| When copying structure from another vtkDataObjectTree, this method gets called for create a new non-leaf for the `other` node. More...
Protected Member Functions inherited from vtkCompositeDataSet
| vtkCompositeDataSet ()
| ~vtkCompositeDataSet () override
Protected Member Functions inherited from vtkDataObject
| vtkDataObject ()
| ~vtkDataObject () override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
vtkDataObjectTreeInternals * | Internals
Protected Attributes inherited from vtkDataObject
vtkFieldData * | FieldData
vtkTypeBool | DataReleased
vtkTimeStamp | UpdateTime
vtkInformation * | Information
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Friends
class | vtkDataObjectTreeIterator

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

provides implementation for most abstract methods in the superclass vtkCompositeDataSet

vtkDataObjectTree is represents a collection of datasets (including other composite datasets). It provides an interface to access the datasets through iterators. vtkDataObjectTree provides methods that are used by subclasses to store the datasets. vtkDataObjectTree provides the datastructure for a full tree representation. Subclasses provide the semantics for it and control how this tree is built.

See also
  vtkDataObjectTreeIterator

Online Examples:

Tests:
  vtkDataObjectTree (Tests)

Definition at line 48 of file vtkDataObjectTree.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkCompositeDataSet vtkDataObjectTree::Superclass

Definition at line 51 of file vtkDataObjectTree.h.

## Constructor & Destructor Documentation

## ◆ vtkDataObjectTree()

vtkDataObjectTree::vtkDataObjectTree | ( |  | ) |
| protected

## ◆ ~vtkDataObjectTree()

vtkDataObjectTree::~vtkDataObjectTree | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ IsTypeOf()

static vtkTypeBool vtkDataObjectTree::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkDataObjectTree::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkCompositeDataSet.

Reimplemented in vtkPartitionedDataSetCollection, vtkPartitionedDataSet, vtkMultiPieceDataSet, and vtkMultiBlockDataSet.

## ◆ SafeDownCast()

static vtkDataObjectTree* vtkDataObjectTree::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkDataObjectTree::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkCompositeDataSet.

Reimplemented in vtkPartitionedDataSetCollection, vtkPartitionedDataSet, vtkMultiPieceDataSet, and vtkMultiBlockDataSet.

## ◆ NewInstance()

vtkDataObjectTree* vtkDataObjectTree::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkDataObjectTree::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkCompositeDataSet.

Reimplemented in vtkPartitionedDataSetCollection, vtkPartitionedDataSet, vtkMultiPieceDataSet, and vtkMultiBlockDataSet.

## ◆ NewTreeIterator()

virtual vtkDataObjectTreeIterator* vtkDataObjectTree::NewTreeIterator | ( |  | ) |
| virtual

Return a new iterator (the iterator has to be deleted by user).

## ◆ NewIterator()

vtkCompositeDataIterator* vtkDataObjectTree::NewIterator | ( |  | ) |
| overridevirtual

Return a new iterator (the iterator has to be deleted by user).

Use NewTreeIterator when you have a pointer to a vtkDataObjectTree and NewIterator when you have a pointer to a vtkCompositeDataSet; NewIterator is inherited and calls NewTreeIterator internally.

Implements vtkCompositeDataSet.

## ◆ CopyStructure()

void vtkDataObjectTree::CopyStructure | ( | vtkCompositeDataSet * | input | ) |
| overridevirtual

Copies the tree structure from the input.

All pointers to non-composite data objects are initialized to nullptr. This also shallow copies the meta data associated with all the nodes.

Reimplemented from vtkCompositeDataSet.

Reimplemented in vtkPartitionedDataSetCollection.

## ◆ SetDataSet()

void vtkDataObjectTree::SetDataSet | ( | vtkCompositeDataIterator * | iter,
|  | vtkDataObject * | dataObj
| ) |  |
| overridevirtual

Sets the data set at the location pointed by the iterator.

The iterator does not need to be iterating over this dataset itself. It can be any composite datasite with similar structure (achieved by using CopyStructure).

Implements vtkCompositeDataSet.

## ◆ SetDataSetFrom()

void vtkDataObjectTree::SetDataSetFrom | ( | vtkDataObjectTreeIterator * | iter,
|  | vtkDataObject * | dataObj
| ) |  |

Sets the data at the location provided by a vtkDataObjectTreeIterator.

## ◆ GetDataSet()

vtkDataObject* vtkDataObjectTree::GetDataSet | ( | vtkCompositeDataIterator * | iter | ) |
| overridevirtual

Returns the dataset located at the position pointed by the iterator.

The iterator does not need to be iterating over this dataset itself. It can be an iterator for composite dataset with similar structure (achieved by using CopyStructure).

Implements vtkCompositeDataSet.

## ◆ GetMetaData()

virtual vtkInformation* vtkDataObjectTree::GetMetaData | ( | vtkCompositeDataIterator * | iter | ) |
| virtual

Returns the meta-data associated with the position pointed by the iterator.

This will create a new vtkInformation object if none already exists. Use HasMetaData to avoid creating the vtkInformation object unnecessarily. The iterator does not need to be iterating over this dataset itself. It can be an iterator for composite dataset with similar structure (achieved by using CopyStructure).

Reimplemented in vtkPartitionedDataSetCollection, vtkPartitionedDataSet, and vtkMultiBlockDataSet.

## ◆ HasMetaData()

virtual vtkTypeBool vtkDataObjectTree::HasMetaData | ( | vtkCompositeDataIterator * | iter | ) |
| virtual

Returns if any meta-data associated with the position pointed by the iterator.

The iterator does not need to be iterating over this dataset itself. It can be an iterator for composite dataset with similar structure (achieved by using CopyStructure).

Reimplemented in vtkPartitionedDataSetCollection, vtkPartitionedDataSet, and vtkMultiBlockDataSet.

## ◆ GetActualMemorySize()

unsigned long vtkDataObjectTree::GetActualMemorySize | ( |  | ) |
| overridevirtual

Return the actual size of the data in kibibytes (1024 bytes).

This number is valid only after the pipeline has updated.

Reimplemented from vtkCompositeDataSet.

## ◆ Initialize()

void vtkDataObjectTree::Initialize | ( |  | ) |
| overridevirtual

Restore data object to initial state,.

Reimplemented from vtkCompositeDataSet.

Reimplemented in vtkPartitionedDataSetCollection.

## ◆ CompositeShallowCopy()

void vtkDataObjectTree::CompositeShallowCopy | ( | vtkCompositeDataSet * | src | ) |
| overridevirtual

CompositeShallow, Shallow and Deep copy.

Reimplemented from vtkCompositeDataSet.

Reimplemented in vtkPartitionedDataSetCollection.

## ◆ ShallowCopy()

void vtkDataObjectTree::ShallowCopy | ( | vtkDataObject * | src | ) |
| overridevirtual

CompositeShallow, Shallow and Deep copy.

Reimplemented from vtkDataObject.

Reimplemented in vtkPartitionedDataSetCollection.

## ◆ DeepCopy()

void vtkDataObjectTree::DeepCopy | ( | vtkDataObject * | src | ) |
| overridevirtual

CompositeShallow, Shallow and Deep copy.

Reimplemented from vtkDataObject.

Reimplemented in vtkPartitionedDataSetCollection.

## ◆ RecursiveShallowCopy()

void vtkDataObjectTree::RecursiveShallowCopy | ( | vtkDataObject * | src | ) |
| overridevirtual

Deprecated:
  RecursiveShallowCopy method,

See also
  ShallowCopy

Reimplemented from vtkCompositeDataSet.

## ◆ GetNumberOfPoints()

vtkIdType vtkDataObjectTree::GetNumberOfPoints | ( |  | ) |
| overridevirtual

Returns the total number of points of all blocks.

This will iterate over all blocks and call GetNumberOfPoints() so it might be expansive.

Reimplemented from vtkCompositeDataSet.

## ◆ GetNumberOfCells()

vtkIdType vtkDataObjectTree::GetNumberOfCells | ( |  | ) |
| overridevirtual

Returns the total number of cells of all blocks.

This will iterate over all blocks and call GetNumberOfPoints() so it might be expensive.

Reimplemented from vtkCompositeDataSet.

## ◆ GetData() [1/2]

static vtkDataObjectTree* vtkDataObjectTree::GetData | ( | vtkInformation * | info | ) |
| static

Retrieve an instance of this class from an information object.

## ◆ GetData() [2/2]

static vtkDataObjectTree* vtkDataObjectTree::GetData | ( | vtkInformationVector * | v,
|  | int | i = `0`
| ) |  |
| static

Retrieve an instance of this class from an information object.

## ◆ GetDataObjectType()

int vtkDataObjectTree::GetDataObjectType | ( |  | ) |
| inlineoverridevirtual

Overridden to return `VTK_DATA_OBJECT_TREE`.

Reimplemented from vtkCompositeDataSet.

Reimplemented in vtkPartitionedDataSetCollection, vtkPartitionedDataSet, vtkMultiPieceDataSet, and vtkMultiBlockDataSet.

Definition at line 167 of file vtkDataObjectTree.h.

## ◆ SetNumberOfChildren()

void vtkDataObjectTree::SetNumberOfChildren | ( | unsigned int | num | ) |
| protected

Set the number of children.

## ◆ GetNumberOfChildren()

unsigned int vtkDataObjectTree::GetNumberOfChildren | ( |  | ) |
| protected

Get the number of children.

## ◆ SetChild()

void vtkDataObjectTree::SetChild | ( | unsigned int | index,
|  | vtkDataObject * |
| ) |  |
| protected

Set child dataset at a given index.

The number of children is adjusted to to be greater than the index specified.

## ◆ RemoveChild()

void vtkDataObjectTree::RemoveChild | ( | unsigned int | index | ) |
| protected

Remove the child at a given index.

## ◆ GetChild()

vtkDataObject* vtkDataObjectTree::GetChild | ( | unsigned int | index | ) |
| protected

Returns a child dataset at a given index.

## ◆ GetChildMetaData()

vtkInformation* vtkDataObjectTree::GetChildMetaData | ( | unsigned int | index | ) |
| protected

Returns the meta-data at a given index.

If the index is valid, however, no information object is set, then a new one will created and returned. To avoid unnecessary creation, use HasMetaData().

## ◆ SetChildMetaData()

void vtkDataObjectTree::SetChildMetaData | ( | unsigned int | index,
|  | vtkInformation * | info
| ) |  |
| protected

Sets the meta-data at a given index.

## ◆ HasChildMetaData()

vtkTypeBool vtkDataObjectTree::HasChildMetaData | ( | unsigned int | index | ) |
| protected

Returns if meta-data information is available for the given child index.

Returns 1 is present, 0 otherwise.

## ◆ CreateForCopyStructure()

virtual vtkDataObjectTree* vtkDataObjectTree::CreateForCopyStructure | ( | vtkDataObjectTree * | other | ) |
| protectedvirtual

When copying structure from another vtkDataObjectTree, this method gets called for create a new non-leaf for the `other` node.

Subclasses can override this to create a different type of vtkDataObjectTree subclass, if appropriate. Default implementation, simply calls `NewInstance` on other;

Reimplemented in vtkPartitionedDataSetCollection, vtkMultiBlockDataSet, and vtkPartitionedDataSet.

## Friends And Related Function Documentation

## ◆ vtkDataObjectTreeIterator

friend class vtkDataObjectTreeIterator
| friend

Definition at line 228 of file vtkDataObjectTree.h.

## Member Data Documentation

## ◆ Internals

vtkDataObjectTreeInternals* vtkDataObjectTree::Internals
| protected

Definition at line 226 of file vtkDataObjectTree.h.

The documentation for this class was generated from the following file:

- Common/DataModel/vtkDataObjectTree.h